apt-get update получает 404 на debian lenny

Вот мой /etc/apt/sources.list

###### Debian Main Repos
deb http://ftp.us.debian.org/debian/ lenny main contrib non-free

###### Debian Update Repos
deb http://security.debian.org/ lenny/updates main contrib non-free
deb http://ftp.us.debian.org/debian/ lenny-proposed-updates main contrib non-free

Когда я это сделаю:

# apt-get update

Я получаю хорошие строки, а затем:

Err http://ftp.us.debian.org lenny/contrib Packages
  404 Not Found [IP: 35.9.37.225 80]
Err http://ftp.us.debian.org lenny/non-free Packages
  404 Not Found [IP: 35.9.37.225 80]
Err http://ftp.us.debian.org lenny-proposed-updates/main Packages
  404 Not Found [IP: 35.9.37.225 80]
Err http://ftp.us.debian.org lenny-proposed-updates/contrib Packages
  404 Not Found [IP: 35.9.37.225 80]
Err http://ftp.us.debian.org lenny-proposed-updates/non-free Packages
  404 Not Found [IP: 35.9.37.225 80]
Err http://ftp.us.debian.org lenny/main Packages
  404 Not Found [IP: 35.9.37.225 80]
W: Failed to fetch http://security.debian.org/dists/lenny/updates/main/binary-i386/Packages  404 Not Found [IP: 149.20.20.6 80]    
W: Failed to fetch http://security.debian.org/dists/lenny/updates/contrib/binary-i386/Packages  404 Not Found [IP: 149.20.20.6 80]    
W: Failed to fetch http://security.debian.org/dists/lenny/updates/non-free/binary-i386/Packages  404 Not Found [IP: 149.20.20.6 80]    
W: Failed to fetch http://ftp.us.debian.org/debian/dists/lenny/contrib/binary-i386/Packages  404 Not Found [IP: 35.9.37.225 80]    
W: Failed to fetch http://ftp.us.debian.org/debian/dists/lenny/non-free/binary-i386/Packages  404 Not Found [IP: 35.9.37.225 80]    
W: Failed to fetch http://ftp.us.debian.org/debian/dists/lenny-proposed-updates/main/binary-i386/Packages  404 Not Found [IP: 35.9.37.225 80]    
W: Failed to fetch http://ftp.us.debian.org/debian/dists/lenny-proposed-updates/contrib/binary-i386/Packages  404 Not Found [IP: 35.9.37.225 80]    
W: Failed to fetch http://ftp.us.debian.org/debian/dists/lenny-proposed-updates/non-free/binary-i386/Packages  404 Not Found [IP: 35.9.37.225 80]    
W: Failed to fetch http://ftp.us.debian.org/debian/dists/lenny/main/binary-i386/Packages  404 Not Found [IP: 35.9.37.225 80]    
E: Some index files failed to download, they have been ignored, or old ones used instead.
22 голоса | спросил JoelFan 29 MaramThu, 29 Mar 2012 05:53:40 +04002012-03-29T05:53:40+04:0005 2012, 05:53:40

3 ответа


14

Из-за того, что он немного сотрясается, это, похоже, проблема с зеркалами Debian. Согласно информации о зеркале, lenny должен быть доступен, хотя вам может потребоваться изменить каждый экземпляр «lenny» на «oldstable» в /etc/apt/sources.list , Однако, потянув вверх 3 зеркала, все показали, что «lenny» и «oldstable» больше не указаны.

Обновление: Я немного пошутил и нашел, что USC Mirror по-прежнему остается в списке «lenny». Прокомментируйте существующие записи в sources.list и дублируйте их:

deb http://ftp.us.debian.org/debian/

Заменено:

deb ftp://mirrors.usc.edu/pub/linux/distributions/debian/

Посмотрите, делает ли это трюк.

С небольшой удачей это временная проблема и решится через несколько дней.

Обновление 2: Похоже, что это не временно, и http: //archive. debian.org - лучшее место для размещения пакетов для Lenny. Кроме того, похоже, что поддержка безопасности для Lenny была закончена 12 февраля 2012 года, хотя они выпустили 5.0.10, обновление точки, 10 марта 2012 года.

Вероятно, стоит запланировать обновление, особенно для любых серверов, подключенных к Интернету /публике.

ответил Christopher Cashell 29 MaramThu, 29 Mar 2012 06:19:21 +04002012-03-29T06:19:21+04:0006 2012, 06:19:21
28

измените свой /etc/apt/sources.list следующим образом:

deb http://archive.debian.org/debian/ lenny main contrib non-free
deb-src http://archive.debian.org/debian/ lenny main contrib non-free

deb http://archive.debian.org/debian-security lenny/updates main contrib non-free
deb-src http://archive.debian.org/debian-security lenny/updates main contrib non-free

deb http://archive.debian.org/debian-volatile lenny/volatile main contrib non-free
deb-src http://archive.debian.org/debian-volatile lenny/volatile main contrib non-free
ответил SebiF 29 MarpmThu, 29 Mar 2012 13:48:28 +04002012-03-29T13:48:28+04:0001 2012, 13:48:28
2
  

Пакеты Lenny были удалены со всех зеркал: archive.debian.org   Поэтому обновите свой источник.list до:   deb http://archive.debian.org lenny main contrib

ОК - это не работает для меня, но

 deb http://archive.debian.org/debian lenny main contrib

сделал

ответил M. Waldorp-Bonk 29 MarpmThu, 29 Mar 2012 13:50:16 +04002012-03-29T13:50:16+04:0001 2012, 13:50:16

Похожие вопросы

Популярные теги

security × 330linux × 316macos × 2827 × 268performance × 244command-line × 241sql-server × 235joomla-3.x × 222java × 189c++ × 186windows × 180cisco × 168bash × 158c# × 142gmail × 139arduino-uno × 139javascript × 134ssh × 133seo × 132mysql × 132